%define _requires_exceptions perl(CGI.pl)\\|perl(bug_form.pl)\\|perl(defparams.pl)\\|perl(globals.pl)\\|
				
%define name	bugzilla
%define version	2.16.3
%define release	5mdk
%define order	77
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A bug tracking system developed by mozilla.org.
License:	MPL
Group:		Networking/WWW
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.conf.bz2
Source2:	%{name}.cron.bz2
URL:		http://www.bugzilla.org/
Requires:	MySQL
Requires:	perl
Requires:	apache
Requires:	perl-AppConfig
Requires:	perl-Chart
Requires:	perl-DBI
Requires:	perl-GD
Requires:	perl-MIME-tools
Requires:	perl-MailTools
Requires:	perl-Mysql
Requires:	perl-Template
Requires:	perl-TimeDate
Requires:	perl-XML-Parser
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
Bugzilla is the bug tracking system developed by mozilla.org.
Mozilla.org is a group within Netscape that acts as a
clearinghouse for Netscape source code. Some modifications have
been made for use with Mandrake Linux.

Bugzilla since 2.16 is template driven, which makes it easier to
do customizations.

Please do take the time to read the release notes found in:
%{_docdir}/%{name}-%{version}/rel_notes.txt

%prep
%setup -q
bzcat %{SOURCE2} > %{name}.cron

# CVS clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# instead of a static patch we do as per documentation...
perl -pi -e 's@#\!/usr/bonsaitools/bin/perl@#\!/usr/bin/perl@' *cgi *pl Bug.pm processmail syncshadowdb

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
install -d -m 1777 $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}/{data,shadow}

cp -aRf template $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
cp -aRf css $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}

install -m 755 *.cgi *.pl $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
install -m 644 *.dtd *.html *.pm *.jpg *.gif *.js robots.txt $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}
install -m 755 syncshadowdb processmail $RPM_BUILD_ROOT%{ap_htdocsdir}/%{name}

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# cron task
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -m 755 %{name}.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-, root, root)
%doc README UPGRADING* docs contrib t runtests.sh
%{ap_htdocsdir}/%{name}
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}

%changelog
* Tue Sep 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-5mdk
- use _requires_exceptions

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.16.3-4mdk
- apache2 integration
- ADVX macros

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-3mdk
- fix that "automatic apache integration" somewhat ;)

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.3-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-1mdk
- 2.16.3
- new version (security fixes)

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that 
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
